Subject: [bug#73884] [PATCH 00/19] gnu: Add swayrbar

From: Luca Matei Pintilie <[email-masked]>
Date: Sat, 19 Oct 2024 14:46:49 +0200

This patch series intends to add swayrbar, a status command for sway's
swaybar.

I've been using it for a while now, have sent a patch[1] to it once, and
have even contributed the package to void-linux[2]

Needless to say, I'm a big fan, and I'd like to see this package in guix
as well!

In regards to packaging it, unfortunately quite a lot of dependencies
had to be added, and `rust-crossbeam-utils-0.8.16` I am not
particularely happy about, but unfortunately portable-atomic[3] demands
that specific patch version.

Also shoutout to the #guix channel on libera.chat which helped me get
this properly packaged, they rock!

[1]: https://lists.sr.ht/~tsdh/public-inbox/patches/53824
[2]: https://github.com/void-linux/void-packages/pull/49742
[3]: https://crates.io/crates/portable-atomic/1.9.0/dependencies

Luca Matei Pintilie (19):
  gnu: Add rust-windows-metadata-0.57
  gnu: Add rust-windows-bindgen-0.57
  gnu: Add rust-windows-result-0.1
  gnu: Add rust-windows-interface-0.57
  gnu: Add rust-windows-implement-0.57
  gnu: Add rust-windows-core-0.57
  gnu: Add rust-windows-0.57
  gnu: Add rust-sysinfo-0.31
  gnu: Add rust-swaybar-types-3
  gnu: rust-regex-syntax-0.8: Update to 0.8.5
  gnu: rust-regex-automata-0.4: Update to 0.4.8
  gnu: rust-regex-1: Update to 1.11.0
  gnu: Add rust-crossbeam-utils-0.8.16
  gnu: rust-portable-atomic-1: Update to 1.9.0
  gnu: rust-critical-section-1: Update to 1.1.3
  gnu: rust-once-cell-1: Update to 1.20.2
  gnu: Add rust-uom-0.30
  gnu: Add rust-battery-0.7
  gnu: Add swayrbar

 gnu/packages/crates-io.scm      | 275 ++++++++++++++++++++++++--------
 gnu/packages/crates-windows.scm | 148 +++++++++++++++++
 gnu/packages/rust-apps.scm      |  36 +++++
 3 files changed, 392 insertions(+), 67 deletions(-)

base-commit: 878b5a9f890ec1317b54e577159ebbfa6a7ccbce
-- 
2.47.0